IO_DESTROY(2)

NAME
io_destroy - Destroy an asynchronous I/O context

SYNOPSIS

#include <linux/aio.h>

long io_destroy (aio_context_t ctx);

DESCRIPTION

io_destroy removes the asynchronous I/O context from the list of I/O contexts and then destroys it. io_destroy can also cancel any outstanding asynchronous I/O actions on ctx and block on completion.

RETURN VALUE

io_destroy returns 0 on success.

ERRORS

EINVAL
    The AIO context specified by ctx is invalid.

EFAULT
    The context pointed to is invalid.

ENOSYS
    io_destroy is not implemented on this architecture.

CONFORMING TO

io_destroy is Linux specific and should not be used in programs that are intended to be portable.

VERSIONS

The asynchronous I/O system calls first appeared in Linux 2.5, August 2002.

SEE ALSO

io_setup(2), io_submit(2), io_getevents(2), io_cancel(2).

NOTES

The asynchronous I/O system calls were written by Benjamin LaHaise.

AUTHOR
Kent Yoder.